﻿using Stimulsoft.Report;

internal class Program
{
    private static void Main(string[] args)
    {
        using (var report = new StiReport())
        {
            report.Load($"{Path.GetDirectoryName(AppDomain.CurrentDomain.BaseDirectory)}/Test.mrt");
            report.RegBusinessObject("ClientInvoice2", new ClientInvoice
            {
                CompanyNumber = "34933434933434933434933434933434933434933434933434933434933434933434933434",
                InvoiceNumber = "INV123",
                InvoiceDate = "16 Mar 2020",
                Currency = "SGD",
                AmountReceivable = "32,761.59",
                DueDate = "23 Mar 2020"
            });

            report.Render();
            report.ExportDocument(StiExportFormat.Pdf, Path.Combine(Environment.CurrentDirectory, "Export.pdf"));
        }
    }

    public class ClientInvoice
    {
        public string CompanyNumber { get; set; }
        public string InvoiceNumber { get; set; }
        public string InvoiceDate { get; set; }
        public string Currency { get; set; }
        public string AmountReceivable { get; set; }
        public string DueDate { get; set; }
        public string ContactDetails { get; set; }
    }
}